Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxBuilderTools

    java.lang.Object
      groovy.jmx.builder.JmxBuilderTools

    class JmxBuilderTools

This is a utility class used as a helper for JmxBuilder.

Authors:
  Vladimir Vivien

Property Summary
`static java.lang.String` | `ATTRIB_KEY_DEFAULT`
`static java.lang.String` | `ATTRIB_KEY_DESC`
`static java.lang.String` | `ATTRIB_KEY_DESCRIPTION`
`static java.lang.String` | `ATTRIB_KEY_TYPE`
`static java.lang.String` | `DEFAULT_DOMAIN`
`static java.lang.String` | `DEFAULT_NAME_TYPE`
`static java.lang.String` | `DESC_KEY`
`static java.lang.String` | `DESC_KEY_DISPLAY_NAME`
`static java.lang.String` | `DESC_KEY_EVENT_MESSAGE`
`static java.lang.String` | `DESC_KEY_EVENT_NAME`
`static java.lang.String` | `DESC_KEY_EVENT_SOURCE`
`static java.lang.String` | `DESC_KEY_EVENT_TYPE`
`static java.lang.String` | `DESC_KEY_GETMETHOD`
`static java.lang.String` | `DESC_KEY_JMX_NAME`
`static java.lang.String` | `DESC_KEY_MBEAN_ATTRIBS`
`static java.lang.String` | `DESC_KEY_MBEAN_CTORS`
`static java.lang.String` | `DESC_KEY_MBEAN_NOTES`
`static java.lang.String` | `DESC_KEY_MBEAN_OPS`
`static java.lang.String` | `DESC_KEY_MBEAN_RESOURCE`
`static java.lang.String` | `DESC_KEY_MBEAN_RESOURCE_TYPE`
`static java.lang.String` | `DESC_KEY_NAME`
`static java.lang.String` | `DESC_KEY_READABLE`
`static java.lang.String` | `DESC_KEY_ROLE`
`static java.lang.String` | `DESC_KEY_SETMETHOD`
`static java.lang.String` | `DESC_KEY_SIGNATURE`
`static java.lang.String` | `DESC_KEY_TYPE`
`static java.lang.String` | `DESC_KEY_WRITABLE`
`static java.lang.String` | `DESC_VAL_TYPE_ATTRIB`
`static java.lang.String` | `DESC_VAL_TYPE_CTOR`
`static java.lang.String` | `DESC_VAL_TYPE_GETTER`
`static java.lang.String` | `DESC_VAL_TYPE_MBEAN`
`static java.lang.String` | `DESC_VAL_TYPE_NOTIFICATION`
`static java.lang.String` | `DESC_VAL_TYPE_OP`
`static java.lang.String` | `DESC_VAL_TYPE_SETTER`
`static java.lang.String` | `EVENT_KEY_CALLBACK`
`static java.lang.String` | `EVENT_KEY_CALLBACK_RESULT`
`static java.lang.String` | `EVENT_KEY_CONTEXTS`
`static java.lang.String` | `EVENT_KEY_ISATTRIB`
`static java.lang.String` | `EVENT_KEY_MESSAGE`
`static java.lang.String` | `EVENT_KEY_METHOD`
`static java.lang.String` | `EVENT_KEY_METHOD_RESULT`
`static java.lang.String` | `EVENT_KEY_NAME`
`static java.lang.String` | `EVENT_KEY_NODE_TYPE`
`static java.lang.String` | `EVENT_KEY_TARGETS`
`static java.lang.String` | `EVENT_KEY_TYPE`
`static java.lang.String` | `EVENT_VAL_NODETYPE_BROADCASTER`
`static java.lang.String` | `EVENT_VAL_NODETYPE_LISTENER`
`static java.lang.String` | `JMX_KEY`
`static java.lang.String` | `NODE_NAME_ATTRIBS`
`static java.lang.String` | `NODE_NAME_ATTRIBUTES`
`static java.lang.String` | `NODE_NAME_CONSTRUCTORS`
`static java.lang.String` | `NODE_NAME_CTORS`
`static java.lang.String` | `NODE_NAME_OPERATIONS`
`static java.lang.String` | `NODE_NAME_OPS`
`static java.util.Map` | `PRIMITIVE_TYPES`
`static java.util.Map` | `TYPE_MAP`

Method Summary
`static java.lang.String` | `capitalize(java.lang.String value)` Capitalize the string passed.
`static javax.management.ObjectName` | `getDefaultObjectName(java.lang.Object obj)` Builds a default ObjectName() instance for a given backing POJO/POGO
`static javax.management.MBeanServerConnection` | `getMBeanServer()` Returns an MBeanServerConnection instance.
`static java.lang.String` | `getNormalizedType(java.lang.String type)` Returns the proper type's class name when a short version is provided (i.e.
`static java.lang.Class[]` | `getSignatureFromParamInfo(java.lang.Object params)` Returns method signature (as Class[]) given the meta map that describes the method.
`static boolean` | `isClassMBean(java.lang.Class cls)` Tests whether the provided class implements MBean.
`static GroovyMBean` | `registerMBeanFromMap(java.lang.String regPolicy, java.util.Map metaMap)`
`static java.lang.String` | `uncapitalize(java.lang.String value)` Uncapitalizes a string.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ATTRIB_KEY_DEFAULT

    static java.lang.String ATTRIB_KEY_DEFAULT

### ATTRIB_KEY_DESC

    static java.lang.String ATTRIB_KEY_DESC

### ATTRIB_KEY_DESCRIPTION

    static java.lang.String ATTRIB_KEY_DESCRIPTION

### ATTRIB_KEY_TYPE

    static java.lang.String ATTRIB_KEY_TYPE

### DEFAULT_DOMAIN

    static java.lang.String DEFAULT_DOMAIN

### DEFAULT_NAME_TYPE

    static java.lang.String DEFAULT_NAME_TYPE

### DESC_KEY

    static java.lang.String DESC_KEY

### DESC_KEY_DISPLAY_NAME

    static java.lang.String DESC_KEY_DISPLAY_NAME

### DESC_KEY_EVENT_MESSAGE

    static java.lang.String DESC_KEY_EVENT_MESSAGE

### DESC_KEY_EVENT_NAME

    static java.lang.String DESC_KEY_EVENT_NAME

### DESC_KEY_EVENT_SOURCE

    static java.lang.String DESC_KEY_EVENT_SOURCE

### DESC_KEY_EVENT_TYPE

    static java.lang.String DESC_KEY_EVENT_TYPE

### DESC_KEY_GETMETHOD

    static java.lang.String DESC_KEY_GETMETHOD

### DESC_KEY_JMX_NAME

    static java.lang.String DESC_KEY_JMX_NAME

### DESC_KEY_MBEAN_ATTRIBS

    static java.lang.String DESC_KEY_MBEAN_ATTRIBS

### DESC_KEY_MBEAN_CTORS

    static java.lang.String DESC_KEY_MBEAN_CTORS

### DESC_KEY_MBEAN_NOTES

    static java.lang.String DESC_KEY_MBEAN_NOTES

### DESC_KEY_MBEAN_OPS

    static java.lang.String DESC_KEY_MBEAN_OPS

### DESC_KEY_MBEAN_RESOURCE

    static java.lang.String DESC_KEY_MBEAN_RESOURCE

### DESC_KEY_MBEAN_RESOURCE_TYPE

    static java.lang.String DESC_KEY_MBEAN_RESOURCE_TYPE

### DESC_KEY_NAME

    static java.lang.String DESC_KEY_NAME

### DESC_KEY_READABLE

    static java.lang.String DESC_KEY_READABLE

### DESC_KEY_ROLE

    static java.lang.String DESC_KEY_ROLE

### DESC_KEY_SETMETHOD

    static java.lang.String DESC_KEY_SETMETHOD

### DESC_KEY_SIGNATURE

    static java.lang.String DESC_KEY_SIGNATURE

### DESC_KEY_TYPE

    static java.lang.String DESC_KEY_TYPE

### DESC_KEY_WRITABLE

    static java.lang.String DESC_KEY_WRITABLE

### DESC_VAL_TYPE_ATTRIB

    static java.lang.String DESC_VAL_TYPE_ATTRIB

### DESC_VAL_TYPE_CTOR

    static java.lang.String DESC_VAL_TYPE_CTOR

### DESC_VAL_TYPE_GETTER

    static java.lang.String DESC_VAL_TYPE_GETTER

### DESC_VAL_TYPE_MBEAN

    static java.lang.String DESC_VAL_TYPE_MBEAN

### DESC_VAL_TYPE_NOTIFICATION

    static java.lang.String DESC_VAL_TYPE_NOTIFICATION

### DESC_VAL_TYPE_OP

    static java.lang.String DESC_VAL_TYPE_OP

### DESC_VAL_TYPE_SETTER

    static java.lang.String DESC_VAL_TYPE_SETTER

### EVENT_KEY_CALLBACK

    static java.lang.String EVENT_KEY_CALLBACK

### EVENT_KEY_CALLBACK_RESULT

    static java.lang.String EVENT_KEY_CALLBACK_RESULT

### EVENT_KEY_CONTEXTS

    static java.lang.String EVENT_KEY_CONTEXTS

### EVENT_KEY_ISATTRIB

    static java.lang.String EVENT_KEY_ISATTRIB

### EVENT_KEY_MESSAGE

    static java.lang.String EVENT_KEY_MESSAGE

### EVENT_KEY_METHOD

    static java.lang.String EVENT_KEY_METHOD

### EVENT_KEY_METHOD_RESULT

    static java.lang.String EVENT_KEY_METHOD_RESULT

### EVENT_KEY_NAME

    static java.lang.String EVENT_KEY_NAME

### EVENT_KEY_NODE_TYPE

    static java.lang.String EVENT_KEY_NODE_TYPE

### EVENT_KEY_TARGETS

    static java.lang.String EVENT_KEY_TARGETS

### EVENT_KEY_TYPE

    static java.lang.String EVENT_KEY_TYPE

### EVENT_VAL_NODETYPE_BROADCASTER

    static java.lang.String EVENT_VAL_NODETYPE_BROADCASTER

### EVENT_VAL_NODETYPE_LISTENER

    static java.lang.String EVENT_VAL_NODETYPE_LISTENER

### JMX_KEY

    static java.lang.String JMX_KEY

### NODE_NAME_ATTRIBS

    static java.lang.String NODE_NAME_ATTRIBS

### NODE_NAME_ATTRIBUTES

    static java.lang.String NODE_NAME_ATTRIBUTES

### NODE_NAME_CONSTRUCTORS

    static java.lang.String NODE_NAME_CONSTRUCTORS

### NODE_NAME_CTORS

    static java.lang.String NODE_NAME_CTORS

### NODE_NAME_OPERATIONS

    static java.lang.String NODE_NAME_OPERATIONS

### NODE_NAME_OPS

    static java.lang.String NODE_NAME_OPS

### PRIMITIVE_TYPES

    static java.util.Map PRIMITIVE_TYPES

### TYPE_MAP

    static java.util.Map TYPE_MAP

Method Detail

### capitalize

    static java.lang.String capitalize(java.lang.String value)

  Capitalize the string passed.
  Parameters:
    `value` - - string to capitalize.
  Returns:
    - a capitalized string.

### getDefaultObjectName

    static javax.management.ObjectName getDefaultObjectName(java.lang.Object obj)

  Builds a default ObjectName() instance for a given backing POJO/POGO
  Parameters:
    `obj` - - the backing pojo/pogo
  Returns:
    the generated ObjectName() instance.

### getMBeanServer

    static javax.management.MBeanServerConnection getMBeanServer()

  Returns an MBeanServerConnection instance. It searches for declared MBeanServers from the MBeanServerFactory. If none is found, the default Platform MBeanServer is returned.

### getNormalizedType

    static java.lang.String getNormalizedType(java.lang.String type)

  Returns the proper type's class name when a short version is provided (i.e. String returns java.lang.String)
  Parameters:
    `type` - - the type name to normalize
  Returns:
    the normalized type name.

### getSignatureFromParamInfo

    static java.lang.Class[] getSignatureFromParamInfo(java.lang.Object params)

  Returns method signature (as Class[]) given the meta map that describes the method.
  Parameters:
    `params` - - the map with parameter info.
  Returns:
    Class[] that represent the method signature.

### isClassMBean

    static boolean isClassMBean(java.lang.Class cls)

  Tests whether the provided class implements MBean. It uses the following runes

       if(
           DyanamicMBean.class.isAssignable(cls) ||
           cls.getName().endsWith("MBean") ||
           cls.getName().endsWith("MXBean")
       ) then class is MBean

  Parameters:
    `cls` - - class to test
  Returns:
    true = if class implements DyanmicMBean or interface name that ends in MBean or MXBean.

### registerMBeanFromMap

    static GroovyMBean registerMBeanFromMap(java.lang.String regPolicy, java.util.Map metaMap)

### uncapitalize

    static java.lang.String uncapitalize(java.lang.String value)

  Uncapitalizes a string.
  Parameters:
    `value` - - string to uncap.
  Returns:
    uncap'ed string.

Groovy Documentation